Create VPC
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/vpcs \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Project-ID: <x-project-id>' \
--data '
{
"name": "vpc-prod",
"cidr": "10.0.0.0/24",
"region": "us-east"
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/vpcs"
payload = {
"name": "vpc-prod",
"cidr": "10.0.0.0/24",
"region": "us-east"
}
headers = {
"X-Project-ID": "<x-project-id>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Project-ID': '<x-project-id>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'vpc-prod', cidr: '10.0.0.0/24', region: 'us-east'})
};
fetch('https://api.rafftechnologies.com/api/v1/vpcs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "vpc-prod",
"cidr": "10.0.0.0/24",
"status": "active",
"region": "us-east",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gateway": "10.0.0.1",
"dns": "<string>",
"total_ips": 256,
"used_ips": 4,
"gateway_type": "<string>",
"router_public_ip": "<string>",
"router_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "Billing validation failed",
"message": "Payment failed. Please update your payment method."
}VPCs
Create VPC
Create a new virtual private cloud. Pick a cidr block that doesn’t overlap with any of your existing VPCs.
CIDR planning
Use GET /api/v1/vpcs/cidr-suggestions to get suggested non-overlapping CIDR blocks if you don’t have one in mind.
POST
/
api
/
v1
/
vpcs
Create VPC
Updated May 8, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Project ID. Required for all mutating operations (create, delete, power actions, resize).
Body
application/json
VPC name.
Required string length:
1 - 64Example:
"vpc-prod"
CIDR block. Must not overlap with other VPCs in the account. See GET /api/v1/vpcs/cidr-suggestions for non-overlapping options.
Pattern:
^([0-9]{1,3}\.){3}[0-9]{1,3}/[0-9]{1,2}$Example:
"10.0.0.0/24"
Region for the VPC. Defaults to us-east.
Available options:
us-east Example:
"us-east"
Last modified on May 8, 2026
⌘I